*python_output_to_dataset.sps.
BEGIN PROGRAM.
import spss, spssaux, spssdata
spss.Submit(r"""
GET FILE='/examples/data/Employee data.sav'.
DATASET NAME employees.
""")
cmd = "FREQUENCIES jobtime /FORMAT=DFREQ."
datasetName, err = spssaux.CreateDatasetOutput(
                           cmd, 
                           omsid='Frequencies',
                           subtype='Frequencies')
spss.Submit("DATASET ACTIVATE " + datasetName + ".")
data = spssdata.Spssdata()
print "Three most frequent values of jobtime:\n"
print"Months\tFrequency"
for i in range(3):
   row=data.fetchone()
   print str(row.Var2) + "\t\t" + str(int(row.Frequency))
data.close()
END PROGRAM.
