*python_set_varlist_macros.sps.
BEGIN PROGRAM.
import spss
spss.Submit("GET FILE='/examples/data/Employee data.sav'.")
catlist=[]
scalist=[]
for i in range(spss.GetVariableCount()):
   varName=spss.GetVariableName(i)
   if spss.GetVariableMeasurementLevel(i) in ['nominal', 'ordinal']:
      catlist.append(varName)
   else:
      scalist.append(varName)
if len(catlist):
   categoricalVars = " ".join(catlist)
   spss.SetMacroValue("!catvars", categoricalVars)
if len(scalist):
   scaleVars = " ".join(scalist)
   spss.SetMacroValue("!scavars", scaleVars)
END PROGRAM.

FREQUENCIES !catvars.
DESCRIPTIVES !scavars.
